### Method

# Foundry Symbol list_to_root

#### Declaration [src]

    DexFuture*
    foundry_symbol_list_to_root (
      FoundrySymbol* self
    )

#### Description [src]

Asynchronously populates a `GListModel` of `FoundrySymbol` starting from this symbol to the root symbol by following `foundry_symbol_find_parent()` until there are no more parents.

The root symbol is placed at position 0 and `self` is placed in the last position.

#### Return value

Type: `DexFuture`

A `DexFuture` that resolves to a `GListModel` of `FoundrySymbol`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.